# | User | Rating |
---|---|---|

1 | tourist | 3870 |

2 | Benq | 3618 |

3 | Miracle03 | 3453 |

4 | peehs_moorhsum | 3430 |

5 | Radewoosh | 3418 |

6 | Petr | 3408 |

7 | maroonrk | 3387 |

8 | sunset | 3338 |

9 | ko_osaga | 3334 |

9 | jiangly | 3334 |

# | User | Contrib. |
---|---|---|

1 | YouKn0wWho | 214 |

2 | 1-gon | 203 |

3 | Um_nik | 195 |

4 | Errichto | 181 |

5 | awoo | 180 |

6 | tourist | 176 |

6 | sus | 176 |

8 | antontrygubO_o | 173 |

9 | maroonrk | 170 |

10 | -is-this-fft- | 169 |

Codeforces (c) Copyright 2010-2021 Mike Mirzayanov

The only programming contests Web 2.0 platform

Server time: Dec/06/2021 21:49:01 (i1).

Desktop version, switch to mobile version.

Supported by

User lists

Name |
---|

can anybody propose a solution for qualification round's 2nd problem for small dataset.

Here is what i did and passed both the tests.. initially for each test case set count=0; Scan the scores of googlers one by one in a variable say 't'

do this for all the scores and then print the final count for the test case.....

i hope you understood the approach.

Let

`dp[i][j]`

is the answer for exactly`i`

dancers and`j`

surprising scores. Initialization:`dp[0][0] = 0`

. Try to add a new dancer.If the best result of at least

`p`

is reachable, update`dp[i+1][j] = max(dp[i+1][j], dp[i][j]+1)`

. If not, update`dp[i+1][j] = max(dp[i+1][j], dp[i][j])`

.And if this result can be also surprising, update

`dp[i+1][j+1] = max(dp[i+1][j+1], dp[i][j]+1)`

. If not, update`dp[i+1][j+1] = max(dp[i+1][j+1], dp[i][j])`

.At the end answer will be in

`dp[n][s]`

.I don't know why people Downvoted my post even though it works....i got AC on it...if anyone has any problem then ask... I think the thought process is simple and extra space also is not required as in DP solutiom..

Here is the Complete Code..

There is a lot of idiots on Codeforces who vote agains posts without clear reason. Don't mind.

I think you got minuses because what you wrote is not classified as idea or algorithm, but implementation details, thus it was very difficult to understand quickly.

Some statements to outline the algo like "the main idea is greedy", "for each contestant check if he is surprising" may help :)

Its probably because you are green just like me..Many people vote just by the color and not by the content :(

Is there any way so that i can see the results filtered by Country.....

Usually statistics are published here: http://www.go-hero.net/jam/11/

I think it will be http://www.go-hero.net/jam/12/ this year)

Statistics are updated ;-)